#!/bin/sh
# DB 戻し (uninstall)
# ---------------------------------------------- #


##### Function ###################################

##### Main routine ###############################

# Function読み込み
. ${INST_HOME}/function.sh

# 初期処理
initialize

# 判別値の初期化
FLAG=0

# Path
VAR_OPT=/var/opt/cse/smx

# 開始出力
CLEAR
msg_info  "${SECUREMATRIX} のデータを復旧します。" \
          "データ復旧には時間がかかります。" \
          "しばらくお待ちください。"
#echo ""
echo_sp "${SECUREMATRIX} データ復旧中."
write_log "${SECUREMATRIX} のデータを復旧開始"

ORG_IFS=$IFS

SQL_FLAG=0

# Ver-3.3 はテーブルの生成が発生しているので DB ファイルを残さないよう消す
$rm -rf ${VAR_OPT}

# DB のバックアップファイルを展開し、インストール前の DB 状態に戻す
$tar ${ZX_OPT} ${BACKUP_DIR}/var_opt_cse.tar.gz -C / > /dev/null 2>&1
if [ $? -ne 0 ] ; then
  SQL_FLAG=1
fi

if [ $SQL_FLAG -eq 0 ] ; then
  # DB更新成功
  echo "完了"
  echo ""
  msg_dialog  "${SECUREMATRIX} のデータ復旧を完了しました。" \
              "処理を継続します。"
  write_log "${SECUREMATRIX} のデータ復旧を完了しました。"
  WAIT_ENTER
  
  exit 0
else
  # DB更新失敗
  echo "エラー発生！"
  echo
  msg_err "${SECUREMATRIX} のデータ復旧に失敗しました。処理を中断します。" \
          " " \
          "<!> 予期せぬエラーです。サポートに連絡してください。"
  arize_err "dmy" "${SECUREMATRIX} のデータ復旧に失敗しました。処理を中断します。"
  exit 1
fi
